<?php
defined('ABSPATH') || die('Cheatin\' uh?');

$currentDir = dirname(__FILE__);

define('_NXTLVL_MENU_NAME_', 'Next level');
define('_NXTLVL_NAME_', 'nextlvl');
define('_NXTLVL_NAMESPACE_', 'NXTLVL');

defined('_NXTLVL_HOWTO_URL_') || define('_NXTLVL_HOWTO_URL_', 'https://starbox.squirrly.co/help');

/* Directories */
define('_NXTLVL_ROOT_DIR_', realpath(dirname($currentDir)) . '/');
define('_NXTLVL_CLASSES_DIR_', _NXTLVL_ROOT_DIR_ . 'classes/');
define('_NXTLVL_CONTROLLER_DIR_', _NXTLVL_ROOT_DIR_ . 'controllers/');
define('_NXTLVL_MODEL_DIR_', _NXTLVL_ROOT_DIR_ . 'models/');
define('_NXTLVL_THEME_DIR_', _NXTLVL_ROOT_DIR_ . 'view/');
define('_NXTLVL_ASSETS_DIR_', _NXTLVL_THEME_DIR_ . 'assets/');

/* URLS */
define('_NXTLVL_URL_', rtrim(plugins_url('', $currentDir), '/') . '/');
define('_NXTLVL_VIEW_URL_', _NXTLVL_URL_ . 'view/');
define('_NXTLVL_ASSETS_URL_', _NXTLVL_VIEW_URL_ . 'assets/');
define('_NXTLVL_ASSETS_RELATIVE_URL_', ltrim(parse_url(_NXTLVL_ASSETS_URL_, PHP_URL_PATH), '/'));
define('_NXTLVL_THEME_URL_', _NXTLVL_VIEW_URL_ . 'Themes/');


